cURL
curl --request GET \
--url https://api.rownd.io/applications/{app}/oidc-clients \
--header 'x-rownd-app-key: <api-key>' \
--header 'x-rownd-app-secret: <api-key>'import requests
url = "https://api.rownd.io/applications/{app}/oidc-clients"
headers = {
"x-rownd-app-key": "<api-key>",
"x-rownd-app-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-rownd-app-key': '<api-key>', 'x-rownd-app-secret': '<api-key>'}
};
fetch('https://api.rownd.io/applications/{app}/oidc-clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_results": 123,
"results": [
{
"id": "oidc_client_ck9c1glf0100001l2f7z8z9z9",
"app_id": "app_ckl8bcf1g000001l2f7z8z9z9",
"name": "Example OIDC Provider",
"description": "Example OIDC Provider",
"config": {
"allowed_origins": [
"https://example.com"
],
"redirect_uris": [
"https://example.com/callback"
],
"post_logout_uris": [
"https://example.com/logout"
],
"logo_uri": "https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png",
"logo_dark_mode_uri": "https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png",
"allowed_scopes": [
"openid",
"profile",
"email"
],
"hub_title": "Sign in to My App with Another App",
"hub_dark_mode": "enabled",
"hub_show_logos": true,
"is_pkce_supported": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"credentials": [
{
"name": "Production API Key",
"client_id": "<string>",
"secret": "<string>",
"expires": "2024-12-31T23:59:59Z",
"application": "app_k3y1qwerty12345",
"app_variant_id": "variant_fgy1qw367fty121lm",
"oidc_client_configuration_id": "oidcc_k3y1qwerty12345",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
]
}OpenID Clients
List OpenID Connect clients
Platform API for retrieving OIDC clients for an application
GET
/
applications
/
{app}
/
oidc-clients
cURL
Authorizations
appKey & appSecrethubAccessTokenForRowndApi
The publishable key of your application credentials. (more details)
The private secret of your application credentials. (more details)
Path Parameters
Rownd application ID
Query Parameters
Number of resources to return per query. Max is 1000.
ID of the last resource in the previous page. If provided, the next page of results is returned beginning with this resource ID.
Which direction to sort the results
Available options:
asc, desc ⌘I